{{ header }}{{ column_left }}
<div id="content">
	<div class="page-header">
		<div class="container-fluid">
			<div class="pull-right">
				<button type="submit" form="form-razorpay" data-toggle="tooltip" title="{{ button_save }}" class="btn btn-primary">
					<i class="fa fa-save"></i>
				</button>
				<a href="{{ cancel }}" data-toggle="tooltip" title="{{ button_cancel }}" class="btn btn-default">
					<i class="fa fa-reply"></i>
				</a>
			</div>
			<h1>{{ heading_title }}</h1>
			<ul class="breadcrumb">
				{% for breadcrumb in breadcrumbs %}
					<li>
						<a href="{{ breadcrumb.href }}">{{ breadcrumb.text }}</a>
					</li>
				{% endfor %}
			</ul>
		</div>
	</div>
	<div class="container-fluid">
		{% if error_warning %}
			<div class="alert alert-danger">
				<i class="fa fa-exclamation-circle"></i>
				{{ error_warning }}
				<button type="button" class="close" data-dismiss="alert">&times;</button>
			</div>
		{% endif %}
		<div class="panel panel-default">
			<div class="panel-heading">
				<h3 class="panel-title">
					<i class="fa fa-pencil"></i>
					{{ text_edit }}</h3>
			</div>
			<div class="panel-body">
				<div class="form-group">
					<div class="col-sm-10">
						First <a href="https://easy.razorpay.com/onboarding?recommended_product=payment_gateway&source=opencart" target="_blank">signup</a> for a 
						Razorpay account or <a href="https://dashboard.razorpay.com/signin?screen=sign_in&source=opencart" target="_blank">login</a> if you have an existing account.
					</div>
				</div>
				<form action="{{ action }}" method="post" enctype="multipart/form-data" id="form-razorpay" class="form-horizontal">
					<div class="form-group">
						<label class="col-sm-2 control-label" for="input-key-id">
							<span data-toggle="tooltip" title="{{ help_key_id }}">{{ entry_key_id }}</span>
						</label>
						<div class="col-sm-10">
							<input type="text" name="payment_razorpay_key_id" value="{{ razorpay_key_id }}" placeholder="{{ entry_key_id }}" id="input-key-id" class="form-control"/>
							{% if error_key_id %}
								<div class="text-danger">{{ error_key_id }}</div>
							{% endif %}
						</div>
					</div>
					<div class="form-group">
						<label class="col-sm-2 control-label" for="input-key-secret">{{ entry_key_secret }}</label>
						<div class="col-sm-10">
							<input type="text" name="payment_razorpay_key_secret" value="{{ razorpay_key_secret }}" placeholder="{{ entry_key_secret }}" id="input-key-secret" class="form-control"/>
							{% if error_key_secret %}
								<div class="text-danger">{{ error_key_secret }}</div>
							{% endif %}
						</div>
					</div>
					<div class="form-group">
						<label class="col-sm-2 control-label" for="input-order-status">
							<span data-toggle="tooltip" title="{{ help_order_status }}">{{ entry_order_status }}</span>
						</label>
						<div class="col-sm-10">
							<select name="payment_razorpay_order_status_id" id="input-order-status" class="form-control">
								{% for order_status in order_statuses %}
									{% if ((razorpay_order_status_id and order_status.order_status_id == razorpay_order_status_id)) %}
										<option value="{{ order_status.order_status_id }}" selected="selected">{{ order_status.name }}</option>
									{% else %}
										<option value="{{ order_status.order_status_id }}">{{ order_status.name }}</option>
									{% endif %}
								{% endfor %}
							</select>
						</div>
					</div>
					<div class="form-group">
						<label class="col-sm-2 control-label" for="input-status">{{ entry_status }}</label>
						<div class="col-sm-10">
							<select name="payment_razorpay_status" id="input-status" class="form-control">
								{% if razorpay_status %}
									<option value="1" selected="selected">{{ text_enabled }}</option>
									<option value="0">{{ text_disabled }}</option>
								{% else %}
									<option value="1">{{ text_enabled }}</option>
									<option value="0" selected="selected">{{ text_disabled }}</option>
								{% endif %}
							</select>
						</div>
					</div>
					<div class="form-group">
						<label class="col-sm-2 control-label" for="input-sort-order">{{ entry_sort_order }}</label>
						<div class="col-sm-10">
							<input type="text" name="payment_razorpay_sort_order" value="{{ razorpay_sort_order }}" placeholder="{{ entry_sort_order }}" id="input-sort-order" class="form-control"/>
						</div>
					</div>

					<div class="form-group">
						<label class="col-sm-2 control-label" for="input-pay-action">{{ entry_payment_action }}</label>
						<div class="col-sm-10">
							<select name="payment_razorpay_payment_action" id="input-pay-action" class="form-control">
								{% if not razorpay_payment_action or (razorpay_payment_action == 'capture') %}
									<option value="capture" selected="selected">{{ text_capture }}</option>
									<option value="authorize">{{ text_authorize }}</option>
								{% else %}
									<option value="capture">{{ text_capture }}</option>
									<option value="authorize" selected="selected">{{ text_authorize }}</option>
								{% endif %}
							</select>
						</div>
					</div>

					<div class="form-group">
						<label class="col-sm-2 control-label" for="input-max-capture-delay">
							<span data-toggle="tooltip" title="{{ help_max_delay }}">{{ entry_max_capture_delay }}</span>
						</label>
						<div class="col-sm-10">
							<input type="text" name="payment_razorpay_max_capture_delay" value="{{ razorpay_max_capture_delay }}" placeholder="{{ entry_max_capture_delay1 }}" id="input-max-capture-delay" class="form-control"/>
						</div>
					</div>

					<div class="form-group">
						<label class="col-sm-2 control-label" for="input-subscription-status">{{ entry_subscription_status }}</label>
						<div class="col-sm-10">
							<select name="payment_razorpay_subscription_status" id="input-subscription-status" class="form-control">
								{% if razorpay_subscription_status %}
									<option value="1" selected="selected">{{ text_enabled }}</option>
									<option value="0">{{ text_disabled }}</option>
								{% else %}
									<option value="1">{{ text_enabled }}</option>
									<option value="0" selected="selected">{{ text_disabled }}</option>
								{% endif %}
							</select>
						</div>
					</div>
				</form>
			</div>
		</div>
	</div>
</div>
{{ footer }}
